Skip to Content
avatar image
Former Member

JDK1.4 and JDK1.5 on UNIX ?

Hi,

I have an SAP Web Application Server (WAS) for PI (Process Integration) running on a UNIX system. It uses JDK1.4

Can I install JDK1.5 on the same UNIX system without affecting the existing SAP WAS and its JDK1.4?

Kindly let me know how this can be done.

Thanks,

Tanu

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • avatar image
    Former Member
    Jun 02, 2009 at 08:25 AM

    Hi,

    Yes, usage of different Java version should be possible, though it's not recommended.

    After installation, make sure the environment variables and java paths mentioned in places like ConfigTool/profiles are maintiained correctly.

    We have such a setup of two different Java version ona single server in our landscape.

    Regards,

    Srikishan

    Add comment
    10|10000 characters needed characters exceeded

  • Jul 06, 2009 at 06:12 PM

    Hi,

    sure you can. Installation means nothing more than copying the files to a folder.

    Use JAVA_HOME for assigning the desired JDK to a program (either manual or defined in the init RC script).

    br,

    Tobias

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Jul 07, 2009 at 02:38 AM

    HI

    I think JDK1.5 is not supported by SAP

    Note 1172419 - Linux: Supported Java versions on the x86_64 platform

    Regards

    Uday

    Add comment
    10|10000 characters needed characters exceeded